import { Observable } from 'rxjs';
import { SanitizedError } from '../interfaces/error-handler.interfaces';
export declare class ErrorHandlerComponent {
    error: SanitizedError;
    /**
     * Subject para visualizar los errores
     */
    private isVisible;
    /**
     * Variable que nos permite saber si se esta mostrando un error
     */
    dismiss$: Observable<{}>;
    /**
     * Recibe el error y lo mustra
     */
    constructor(error: SanitizedError);
    /**
     * Saltar error
     */
    dismiss(): void;
}
