import { OnInit } from '@angular/core';
import { ChartDataSets, ChartOptions, ChartType } from 'chart.js';
import { Label, Color } from 'ng2-charts';
export declare class LineChartComponent implements OnInit {
    /**
     * Data En el grafico
     * example
     * [
     * { data: [], label: '' , stack}
     * ]
     * stack opcional
     */
    lineChartData: ChartDataSets[];
    /**
     * Label eje x
     */
    lineChartLabels: Label[];
    /**
     * Propiedades en el eje x preconfigurado
     */
    lineChartOptions: ChartOptions;
    /**
     * Color de las lineas en ese orden
     * si deseas las lines sin color define el color
     * example
     * [
     * {
     *   borderColor: 'black',
     *   backgroundColor: 'rgba(255,0,0,0.3)',
     * },
     * ];
     */
    lineChartColors: Color[];
    lineChartLegend: boolean;
    lineChartType: ChartType;
    lineChartPlugins: any[];
    constructor();
    ngOnInit(): void;
}
